Next: VIC20-specific commands and settings, Previous: C64DTV-specific commands and settings, Up: Machine-specific features [Contents][Index]

### 7.4 SCPU64-specific commands and settings

#### 7.4.1 SCPU64 resources

`ChargenName`

  String specifying the name of the character generator ROM (default `chargen`).

`SCPU64Name`

  String specifying the name of the SCPU64 ROM (default `scpu64`).

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine (4: PAL-N, 3: Old NTSC, 1: PAL, 2: NTSC).

`IECReset`

  Integer specifying if the IEC bus resets when the CPU resets. (0: No, 1: Yes)

`BurstMod`

  Integer specifying the kind of Burst-Mode modification. (0: None, 1: CIA-1, 2: CIA-2)

`SIMMSize`

  Integer specifying the size of the SIMM RAM. (0, 1, 4, 8, 16)

`JiffySwitch`

  Boolean to enable/disable the jiffy switch.

`SpeedSwitch`

  Boolean to enable/disable the speed switch.

`GlueLogic`

  Integer specifying the type of emulated glue-logic. (0: discrete, 1: custom IC)

#### 7.4.2 SCPU64 command-line options

`-chargen <name>`

  Specify filename of the character generator ROM file (`ChargenName`).

`-scpu64 <Name>`

  Specify filename of the SCPU64 ROM file (`SCPU64Name`).

`-model <Model>`

  Set the C64 model (`MachineVideoStandard`, `CIA1Model`, `CIA2Model`, `VICIINewLuminances`, `IECReset`, `ChargenName`, `SidEngine`, `SidModel`). (c64/c64c/c64old, ntsc/newntsc/oldntsc, drean, jap, c64gs)

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-ntscold`

  Use old NTSC sync factor (`MachineVideoStandard=3`).

`-paln`

  Use PAL-N sync factor (`MachineVideoStandard=4`).

`-iecreset <value>`

  Set IEC reset bahaviour (`IECReset`). (0: Do not reset with CPU reset, 1: Reset with CPU reset)

`-burstmod <value>`

  Set the kind of burst modification. This emulates the fast serial bus connection as described at https://a1bert.kapsi.fi/Dev/burst/, with the wire to the tape port cut (`BurstMod`). (0: None, 1: CIA-1, 2: CIA-2)

`-simmsize <number>`

  Set the size of the SIMM RAM (`SIMMSize`). (0, 1, 4, 8, 16)

`-jiffyswitch`
`+jiffyswitch`

  Enable/disable the jiffy switch (`JiffySwitch=1`, `JiffySwitch=0`).

`-speedswitch`
`+speedswitch`

  Enable/disable the speed switch (`SpeedSwitch=1`, `SpeedSwitch=0`).

`-gluelogictype <type>`

  Set glue logic type (`GlueLogic`). (0: discrete, 1: 252535-01)

Next: VIC20-specific commands and settings, Previous: C64DTV-specific commands and settings, Up: Machine-specific features [Contents][Index]